/*
 * 쐬: 2003/12/10
 * 
 */
package com.muimi.textools;

import org.eclipse.jface.action.IAction;
import org.eclipse.jface.text.BadLocationException;
import org.eclipse.jface.text.IDocument;
import org.eclipse.jface.text.ITextSelection;

/**
 * @author miya
 */
public class ToLowerCaseAction extends BaseSelectedTextAction{


	public void run(IAction action) {
		ITextSelection ts = getTextSelection();
		IDocument document = getDocument();
		
		try {
			document.replace(
				ts.getOffset(), 
				ts.getLength(), 
				ts.getText().toLowerCase());
		} catch (BadLocationException e) {
			e.printStackTrace();
		}

	}

}
