package com.muimi.textools;

import org.eclipse.jface.action.IAction;
import org.eclipse.jface.text.IDocument;
import org.eclipse.jface.text.ITextSelection;
import org.eclipse.jface.viewers.ISelection;
import org.eclipse.ui.IEditorActionDelegate;
import org.eclipse.ui.IEditorPart;
import org.eclipse.ui.IWorkbenchActionConstants;
import org.eclipse.ui.IWorkbenchWindow;
import org.eclipse.ui.IWorkbenchWindowActionDelegate;
import org.eclipse.ui.PlatformUI;
import org.eclipse.ui.texteditor.AbstractTextEditor;


public class BaseSelectedTextAction 
implements IEditorActionDelegate, IWorkbenchWindowActionDelegate {

//	protected ISelection selection;
//	protected IWorkbenchPart editorPart;

	IWorkbenchActionConstants a;

	public BaseSelectedTextAction() {
	}


	protected ITextSelection getTextSelection(){
		//return (ITextSelection) selection;
		return (ITextSelection)getEditor().getEditorSite().getSelectionProvider().getSelection();
	}
	
	protected IDocument getDocument(){

		IEditorPart editorPart = getEditor();

		if(editorPart instanceof AbstractTextEditor){
			AbstractTextEditor editor = (AbstractTextEditor)editorPart;
			IDocument document =
				editor.getDocumentProvider().getDocument(editor.getEditorInput());			
			return document;
		}
		
		return null;
	}
	
	
	protected IEditorPart getEditor(){
		return PlatformUI.getWorkbench().getActiveWorkbenchWindow().getActivePage().getActiveEditor();
	}
	


	public void run(IAction action) {
	}

	public void selectionChanged(IAction action, ISelection selection) {
		//this.selection = selection;
	}

	public void setActiveEditor(IAction action, IEditorPart targetEditor) {
		//this.editorPart = targetEditor;
	}


	public void dispose() {
	}


	public void init(IWorkbenchWindow window) {
	}
}
